import java.awt.Component;
import java.util.Calendar;
import java.util.Date;
import java.util.Set;
import javax.swing.JFrame;
import javax.swing.JOptionPane;
import javax.swing.SwingUtilities;

import org.jdesktop.swingx.JXMonthView;
import org.jdesktop.swingx.calendar.DateSelectionModel;
import org.jdesktop.swingx.calendar.DateSelectionModel.SelectionMode;
import org.jdesktop.swingx.event.DateSelectionEvent;
import org.jdesktop.swingx.event.DateSelectionEvent.EventType;
import org.jdesktop.swingx.event.DateSelectionListener;

public class SimpleCalendar {
    public SimpleCalendar() {
        JFrame frame = new JFrame("Simple Calendar");
        frame.setSize(400, 220);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        frame.add(createMonthView());

        frame.setVisible(true);
    }

    private JXMonthView createMonthView() {
        final JXMonthView monthView = new JXMonthView();

        // P̓tIłȂ悤ɂ
        monthView.setSelectionMode(SelectionMode.SINGLE_SELECTION);

        DateSelectionModel model = monthView.getSelectionModel();
 
        // DateSelectionListener̓o^
        model.addDateSelectionListener(new DateSelectionListener() {
            public void valueChanged(DateSelectionEvent ex) {
                // Cxg̃^Cv擾
                EventType type = ex.getEventType();
                
                if (type == EventType.ADJUSTING_STOPPED) {
                    // Iꂽt擾
                    Set<Date> dates = ex.getSelection();
                    
                    // DateIuWFNg𕶎ɃtH[}bg
                    String message = "";
                    for (Date date: dates) {
                        message = String.format("%1$tYN%1$tB%1$te", date);
                    }

                    // _CAO̕\
                    JOptionPane.showMessageDialog(
                        monthView,
                        message,
                        "Date Selection",
                        JOptionPane.INFORMATION_MESSAGE );
                }
            }
        });
        
        // Tjɂ
        monthView.setFirstDayOfWeek(Calendar.MONDAY);

        // Fω
        Calendar day1 = Calendar.getInstance();
        day1.set(2011, 1, 6);
        Calendar day2 = Calendar.getInstance();
        day2.set(2011, 1, 11);
        Calendar day3 = Calendar.getInstance();
        day3.set(2011, 1, 13);
        Calendar day4 = Calendar.getInstance();
        day4.set(2011, 1, 20);
        Calendar day5 = Calendar.getInstance();
        day5.set(2011, 1, 27);
        Calendar day6 = Calendar.getInstance();
        day6.set(2011, 2, 6);
        Calendar day7 = Calendar.getInstance();
        day7.set(2011, 2, 13);
        Calendar day8 = Calendar.getInstance();
        day8.set(2011, 2, 20);
        Calendar day9 = Calendar.getInstance();
        day9.set(2011, 2, 21);
        Calendar day10 = Calendar.getInstance();
        day10.set(2011, 2, 27);
        
        // Fωw
        monthView.setFlaggedDates(day1.getTime(),
                                  day2.getTime(),
                                  day3.getTime(),
                                  day4.getTime(),
                                  day5.getTime(),
                                  day6.getTime(),
                                  day7.getTime(),
                                  day8.getTime(),
                                  day9.getTime(),
                                  day10.getTime());

        return monthView;
    }

    public static void main(String[] args) {
        SwingUtilities.invokeLater(new Runnable() {
            public void run() {
                new SimpleCalendar();
            }
        });
    }
}